html, body {  
  overflow-x: hidden;  /* removing horizontal scrollbar*/
  height: 100%;
  margin: 0;
}

/* fixing footer placement */
body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.main {
  flex: 1;
}

.products-grid {
  display: grid;
  grid-template-columns: repeat(8, 1fr);
}

@media (max-width: 2000px) {
  .products-grid {
    grid-template-columns: repeat(7, 1fr);
  }
}

@media (max-width: 1600px) {
  .products-grid {
    grid-template-columns: repeat(6, 1fr);
  }
}

@media (max-width: 1300px) {
  .products-grid {
    grid-template-columns: repeat(5, 1fr);
  }
}

@media (max-width: 1000px) {
  .products-grid {
    grid-template-columns: repeat(4, 1fr);
  }
}

@media (max-width: 800px) {
  .products-grid {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (max-width: 575px) {
  .products-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 450px) {
  .products-grid {
    grid-template-columns: 1fr;
  }
}

.product-container {
  padding-top: 40px;
  padding-bottom: 25px;
  padding-left: 25px;
  padding-right: 25px;

  border-right: 1px solid rgb(231, 231, 231);
  border-bottom: 1px solid rgb(231, 231, 231);

  display: flex;
  flex-direction: column;
}

.product-image-container {
  display: flex;
  justify-content: center;
  align-items: center;

  height: 180px;
  margin-bottom: 20px;
}

.product-image {
  max-width: 100%;
  max-height: 100%;
}

.product-name {
  height: 40px;
  margin-bottom: 5px;
}

.product-rating-container {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
}

.product-rating-stars {
  width: 100px;
  margin-right: 6px;
}

.product-rating-count {
  color: rgb(1, 124, 182);
  cursor: pointer;
  margin-top: 3px;
}

.product-price {
  font-weight: 700;
  margin-bottom: 10px;
}

.product-quantity-container {
  margin-bottom: 17px;
}

.product-spacer {
  flex: 1;
}

.added-to-cart {
  color: rgb(6, 125, 98);
  font-size: 16px;

  display: flex;
  align-items: center;
  margin-bottom: 8px;

  opacity: 0;
}

.added-to-cart img {
  height: 20px;
  margin-right: 5px;
}

.add-to-cart-button {
  width: 100%;
  padding: 8px;
  border-radius: 50px;
}

.opacity {
  opacity: 1;
}

/* "no results found for your search" message */
.not-found-container {
  padding-top: 45px;
  padding-right: 30px;
  padding-left: 20px;

  max-width: 800px;
  margin-left: auto;
  margin-right: auto;
}

.not-found-container h1 {
  color: #2e2e2e;
  font-size: 30px;
  margin: 0px;
}

.not-found-container p {
  color: #5a5a5a;
  font-size: 17px;
  margin-bottom: 12px;
}